package org.ta.pddserver.service.impl;


import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import org.ta.pddserver.entity.CollectMailDetailEntity;
import org.ta.pddserver.mapper.CollectMailDetailMapper;
import org.ta.pddserver.service.CollectMailDetailService;

@Service
public class CollectMailDetailImpl extends ServiceImpl<CollectMailDetailMapper, CollectMailDetailEntity> implements CollectMailDetailService {


    public CollectMailDetailEntity getByOrderCodeAndMailNo(String orderCode, String expressCode, String mailNo) {
        return baseMapper.selectByOrderCodeAndExpressCodeAndMailNo(orderCode, expressCode, mailNo);
    }

    public int updateStatusByUid(int status, String uid) {
        return baseMapper.updateStatusByUid(status, uid);
    }

    public Boolean updateByMailNo(String mailNo, String action) {
        return baseMapper.updateByMailNo(mailNo, action);
    }
}